Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.utilities
Class CommunityInfoBreaker

    java.lang.Object
      |
      +--com.autonomy.utilities.CommunityInfoBreaker

public class CommunityInfoBreaker
extends java.lang.Object

This class takes a DRE reference from an agent DRE, which come in the form:
group/user/agent
and separates it to yield the group, user and agent name that the given record belongs to.

Field Summary
`static java.lang.String` | `SEPARATOR_CHAR`

Constructor Summary
`CommunityInfoBreaker()` Constuctor.

Method Summary
`void` | `breakReference(java.lang.String sRef)` Breaks the given agent DRE reference into group name, user name and agent name.
`java.lang.String` | `getAgent()` Returns the agent name from the DRE reference
`java.lang.String` | `getGroup()` Returns the group name from the DRE reference
`java.lang.String` | `getUser()` Returns the user name from the DRE reference

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEPARATOR_CHAR

    public static final java.lang.String SEPARATOR_CHAR

See Also:
  Constant Field Values

Constructor Detail

### CommunityInfoBreaker

    public CommunityInfoBreaker()

  Constuctor. Takes no action

Method Detail

### breakReference

    public void breakReference(java.lang.String sRef)
                        throws java.lang.Exception

  Breaks the given agent DRE reference into group name, user name and agent name. These can be obtained from the getGroup, getUser and getAgent method

  Parameters:
    `sRef` - DRE reference string to be 'broken'
  Throws:
    `thrown` - if DRE reference string is invalid
    `java.lang.Exception`

### getGroup

    public java.lang.String getGroup()

  Returns the group name from the DRE reference

### getUser

    public java.lang.String getUser()

  Returns the user name from the DRE reference

### getAgent

    public java.lang.String getAgent()

  Returns the agent name from the DRE reference

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD